StarWriterStruct::TOX51 Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
StarWriterStruct::TOX51 Struct Reference

structure to store a TOX51 in a text zone More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions
| TOX51 ()
| constructor More...
| ~TOX51 ()
| destructor More...
bool | read (StarZone &zone, StarObject &object)
| try to read a TOX51 More...

## Static Public Member Functions
static bool | readList (StarZone &zone, std::vector< TOX51 > &toxList, StarObject &object)
| try to read a list of TOX51 More...

## Public Attributes
librevenge::RVNGString | m_typeName
| the typeName More...
int | m_type
| the type More...
int | m_createType
| the createType More...
int | m_firstTabPos
| the firstTabPos More...
librevenge::RVNGString | m_title
| the title More...
std::vector< librevenge::RVNGString > | m_patternList
| the pattern list More...
std::vector< int > | m_stringIdList
| a list of template string ids More...
int | m_infLevel
| the inf level More...

## Friends
std::ostream & | operator<< (std::ostream &o, TOX51 const &tox)
| operator<< More...

## Detailed Description

structure to store a TOX51 in a text zone

## Constructor & Destructor Documentation

## ◆ TOX51()

StarWriterStruct::TOX51::TOX51 | ( |  | ) |
| inline

constructor

## ◆ ~TOX51()

StarWriterStruct::TOX51::~TOX51 | ( |  | ) |

destructor

## Member Function Documentation

## ◆ read()

bool StarWriterStruct::TOX51::read | ( | StarZone & | zone,
|  | StarObject & | object
| ) |  |

try to read a TOX51

Referenced by readList().

## ◆ readList()

bool StarWriterStruct::TOX51::readList | ( | StarZone & | zone,
|  | std::vector< TOX51 > & | toxList,
|  | StarObject & | object
| ) |  |
| static

try to read a list of TOX51

Referenced by StarObjectText::readWriterDocument().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | TOX51 const & | tox
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_createType

int StarWriterStruct::TOX51::m_createType

the createType

Referenced by StarWriterStruct::operator<<().

## ◆ m_firstTabPos

int StarWriterStruct::TOX51::m_firstTabPos

the firstTabPos

Referenced by StarWriterStruct::operator<<().

## ◆ m_infLevel

int StarWriterStruct::TOX51::m_infLevel

the inf level

Referenced by StarWriterStruct::operator<<().

## ◆ m_patternList

std::vector<librevenge::RVNGString> StarWriterStruct::TOX51::m_patternList

the pattern list

Referenced by StarWriterStruct::operator<<().

## ◆ m_stringIdList

std::vector<int> StarWriterStruct::TOX51::m_stringIdList

a list of template string ids

Referenced by StarWriterStruct::operator<<().

## ◆ m_title

librevenge::RVNGString StarWriterStruct::TOX51::m_title

the title

Referenced by StarWriterStruct::operator<<().

## ◆ m_type

int StarWriterStruct::TOX51::m_type

the type

Referenced by StarWriterStruct::operator<<().

## ◆ m_typeName

librevenge::RVNGString StarWriterStruct::TOX51::m_typeName

the typeName

Referenced by StarWriterStruct::operator<<().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx